sayren Docs
스토어프론트 호스팅

스토어프론트 빌드 목록

최신 먼저, 기본 20개

GET
/v1/storefront/site/builds

최신 먼저, 기본 20개

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Query Parameters

limit?integer

기본 20, 최신 먼저

Range1 <= value <= 50

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*array<>
error*|null
curl -X GET 'https://api.sayren.io/v1/storefront/site/builds' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": [    {      "buildId": "string",      "versionId": "string",      "versionNumber": 1,      "status": "QUEUED",      "failureStage": "string",      "errorCode": "string",      "logTail": "string",      "stages": [        {          "stage": "string",          "ok": true,          "durationMs": 0        }      ],      "verify": {        "ok": true,        "checkedFiles": 0,        "summary": {          "rules": 0,          "passed": 0,          "violated": 0,          "findings": 0        },        "results": [          {            "ruleId": "string",            "status": "pass",            "count": 0,            "severity": "error"          }        ],        "findings": [          {            "ruleId": "string",            "rule": "string",            "file": "string",            "line": 0,            "detail": "string",            "cause": "string",            "fix": "string",            "example": "string",            "doc": "string",            "docUrl": "string",            "templateFile": "string",            "severity": "error"          }        ],        "message": "string",        "nextSteps": [          "string"        ]      },      "dependencies": {        "checkedPackages": 0,        "rejected": [          {            "name": "string",            "version": "string",            "reason": "string",            "detail": "string",            "advisory": {              "id": "string",              "url": "string",              "severity": "string",              "title": "string"            }          }        ],        "warnings": [          {            "name": "string",            "version": "string",            "reason": "string",            "detail": "string",            "advisory": {              "id": "string",              "url": "string",              "severity": "string",              "title": "string"            }          }        ]      },      "queuedAt": "string",      "startedAt": "string",      "finishedAt": "string",      "durationMs": 0    }  ],  "error": null}